- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
BlisHeurRound Class Reference

Rounding Heuristic. More...

`#include <BlisHeurRound.h>`

Inheritance diagram for BlisHeurRound:
[legend]
Collaboration diagram for BlisHeurRound:
[legend]

## Public Member Functions
| BlisHeurRound ()
| Default Constructor. More...
| BlisHeurRound (BlisModel *model, const char *name, int strategy)
| Constructor with model - assumed before cuts. More...
| ~BlisHeurRound ()
| Destructor. More...
| BlisHeurRound (const BlisHeurRound &)
| Copy constructor. More...
virtual BlisHeuristic * | clone () const
| Clone a rounding heuristic. More...
virtual void | setModel (BlisModel *model)
| update model (This is needed if cliques update matrix etc). More...
virtual bool | searchSolution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts More...
void | setSeed (int value)
| Set seed. More...
| BlisHeurRound ()
| Default Constructor. More...
| BlisHeurRound (BlisModel *model, const char *name, BlisHeurStrategy strategy, int freq)
| Constructor with model - assumed before cuts. More...
| ~BlisHeurRound ()
| Destructor. More...
| BlisHeurRound (const BlisHeurRound &)
| Copy constructor. More...
virtual BlisHeuristic * | clone () const
| Clone a rounding heuristic. More...
virtual void | setModel (BlisModel *model)
| update model (This is needed if cliques update matrix etc). More...
virtual bool | searchSolution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts More...
void | setSeed (int value)
| Set seed. More...
Public Member Functions inherited from BlisHeuristic
| BlisHeuristic ()
| Default Constructor. More...
| BlisHeuristic (BlisModel *model, const char *name, int strategy)
| Useful constructor. More...
virtual | ~BlisHeuristic ()
| Distructor. More...
| BlisHeuristic (const BlisHeuristic &rhs)
| Copy constructor. More...
| BlisHeuristic ()
| Default Constructor. More...
| BlisHeuristic (BlisModel *model, const char *name, BlisHeurStrategy strategy, int heurCallFrequency)
| Useful constructor. More...
virtual | ~BlisHeuristic ()
| Distructor. More...
| BlisHeuristic (const BlisHeuristic &rhs)
| Copy constructor. More...
virtual void | setStrategy (int strategy)
| Get/set strategy. More...
virtual int | strategy ()
| Get/set strategy. More...
virtual int | searchSolution (double &objectiveValue, double *newSolution, OsiCuts &cs)
| returns 0 if no solution, 1 if valid solution, -1 if just returning an estimate of best possible solution with better objective value than one passed in Sets solution values if good, sets objective value (only if nonzero code) This is called at same time as cut generators - so can add cuts Default is do nothing More...
int | numSolutions ()
| Number of solutions found. More...
double | time ()
| Cpu time used. More...
int | calls ()
| Cpu time used. More...
virtual void | setStrategy (BlisHeurStrategy strategy)
| Get/set strategy. More...
virtual BlisHeurStrategy | strategy () const
| Get/set strategy. More...
virtual void | setHeurCallFrequency (int freq)
| Get/set call frequency. More...
virtual int | heurCallFrequency () const
| Get/set strategy. More...
virtual bool | searchSolution (double &objectiveValue, double *newSolution, OsiCuts &cs)
| returns 0 if no solution, 1 if valid solution, -1 if just returning an estimate of best possible solution with better objective value than one passed in Sets solution values if good, sets objective value (only if nonzero code) This is called at same time as cut generators - so can add cuts Default is do nothing More...
const char * | name () const
| return name of generator. More...
void | addNumSolutions (int num=1)
| Record number of solutions found. More...
int | numSolutions () const
| Number of solutions found. More...
void | addTime (double t=0.0)
| Record Cpu time used. More...
double | time () const
| Cpu time used. More...
void | addCalls (int c=1)
| Record number of times called. More...
int | calls () const
| Number of times called. More...
int | noSolCalls () const
| Number called and no cons found. More...
void | addNoSolCalls (int n=1)
| Increase the number of no cons called. More...

## Protected Attributes
CoinPackedMatrix | matrix_
| Column majored matrix. More...
CoinPackedMatrix | matrixByRow_
| Row majored matrix. More...
int | seed_
| Seed for random stuff. More...
Protected Attributes inherited from BlisHeuristic
BlisModel * | model_
| Pointer to the model. More...
char * | name_
| Heuristics name. More...
int | strategy_
| When to call findSolution() routine. More...
int | numSolutions_
| Number of solutions found. More...
double | time_
| Used CPU/User time. More...
int | calls_
| The times of calling this heuristic. More...
BlisHeurStrategy | strategy_
| When to call findSolution() routine. More...
int | heurCallFrequency_
| The frequency with which to call the heuristic. More...
int | noSolsCalls_
| The times of calling this heuristic and no solutions found. More...

## Private Member Functions
BlisHeurRound & | operator= (const BlisHeurRound &rhs)
| Illegal Assignment operator. More...
BlisHeurRound & | operator= (const BlisHeurRound &rhs)
| Illegal Assignment operator. More...

## Detailed Description

Rounding Heuristic.

Definition at line 44 of file BlisHeurRound.h.

## Constructor & Destructor Documentation

BlisHeurRound::BlisHeurRound | ( |  | ) |
| inline

Default Constructor.

Definition at line 61 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | BlisModel * | model,
|  | const char * | name,
|  | int | strategy
| ) |  |
| inline

Constructor with model - assumed before cuts.

Definition at line 64 of file BlisHeurRound.h.

BlisHeurRound::~BlisHeurRound | ( |  | ) |
| inline

Destructor.

Definition at line 72 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | const BlisHeurRound & |  | ) |

Copy constructor.

BlisHeurRound::BlisHeurRound | ( |  | ) |
| inline

Default Constructor.

Definition at line 61 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | BlisModel * | model,
|  | const char * | name,
|  | BlisHeurStrategy | strategy,
|  | int | freq
| ) |  |
| inline

Constructor with model - assumed before cuts.

Definition at line 64 of file BlisHeurRound.h.

BlisHeurRound::~BlisHeurRound | ( |  | ) |
| inline

Destructor.

Definition at line 73 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | const BlisHeurRound & |  | ) |

Copy constructor.

## Member Function Documentation

BlisHeurRound& BlisHeurRound::operator= | ( | const BlisHeurRound & | rhs | ) |
| private

Illegal Assignment operator.

virtual BlisHeuristic* BlisHeurRound::clone | ( |  | ) | const
| virtual

Clone a rounding heuristic.

Implements BlisHeuristic.

virtual void BlisHeurRound::setModel | ( | BlisModel * | model | ) |
| virtual

update model (This is needed if cliques update matrix etc).

Reimplemented from BlisHeuristic.

virtual bool BlisHeurRound::searchSolution | ( | double & | objectiveValue,
|  | double * | newSolution
| ) |  |
| virtual

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements BlisHeuristic.

void BlisHeurRound::setSeed | ( | int | value | ) |
| inline

Set seed.

Definition at line 92 of file BlisHeurRound.h.

BlisHeurRound& BlisHeurRound::operator= | ( | const BlisHeurRound & | rhs | ) |
| private

Illegal Assignment operator.

virtual BlisHeuristic* BlisHeurRound::clone | ( |  | ) | const
| virtual

Clone a rounding heuristic.

Implements BlisHeuristic.

virtual void BlisHeurRound::setModel | ( | BlisModel * | model | ) |
| virtual

update model (This is needed if cliques update matrix etc).

Reimplemented from BlisHeuristic.

virtual bool BlisHeurRound::searchSolution | ( | double & | objectiveValue,
|  | double * | newSolution
| ) |  |
| virtual

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements BlisHeuristic.

void BlisHeurRound::setSeed | ( | int | value | ) |
| inline

Set seed.

Definition at line 94 of file BlisHeurRound.h.

## Member Data Documentation

CoinPackedMatrix BlisHeurRound::matrix_
| protected

Column majored matrix.

Definition at line 51 of file BlisHeurRound.h.

CoinPackedMatrix BlisHeurRound::matrixByRow_
| protected

Row majored matrix.

Definition at line 54 of file BlisHeurRound.h.

int BlisHeurRound::seed_
| protected

Seed for random stuff.

Definition at line 57 of file BlisHeurRound.h.

The documentation for this class was generated from the following files:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/examples/Blis/BlisHeurRound.h
- /tmp/CHiPPS-Blis-0.94.3/Blis/src/BlisHeurRound.h